# 工具包
## dateUtil 时间格式化工具
- dateFormat 根据格式返回时间字符串
```js
let date = new Date()
dateFormat("YYYY-mm-dd HH:MM", date)
```
- dateFormatStr 根据格式返回时间字符串
```js
dateFormatStr("YYYY-mm-dd HH:MM", "2012-12-12 12:22:00")
```
## StrUtil 字符串工具
```js
/**
	 * 字符串是否为空白 空白的定义如下： <br>
	 * 1、为null <br>
	 * 2、为不可见字符（如空格）<br>
	 * 3、""<br>
	 *
	 * @param str 被检测的字符串
	 * @return boolean 是否为空
	 */
	isBlank: function(str) 
	/**
	 * 字符串是否为非空白 空白的定义如下： <br>
	 * 1、不为null <br>
	 * 2、不为不可见字符（如空格）<br>
	 * 3、不为""<br>
	 *
	 * @param str 被检测的字符串
	 * @return boolean 是否为非空
	 */
	isNotBlank: function(str) 
	/**
	 * 字符串是否为空，空的定义如下:<br>
	 * 1、为null <br>
	 * 2、为""<br>
	 *
	 * @param str 被检测的字符串
	 * @return boolean 是否为空
	 */
	isEmpty: function(str)
	/**
	 * 字符串是否为非空白 空白的定义如下： <br>
	 * 1、不为null <br>
	 * 2、不为""<br>
	 *
	 * @param str 被检测的字符串
	 * @return boolean 是否为非空
	 */
	isNotEmpty: function(str)
	/**
	 * 空对象转字符串
	 *
	 * @param str 被检查的字符串
	 * @return 原字符串或者空串
	 */
	nullToStr: function(str) 
	/**
	 * 空格截取
	 *
	 * @param str 截取的字符串
	 * @return 截取后的字符串
	 */
	trim: function(str) 
	/**
	 * 比较两个字符串（大小写敏感）
	 *
	 * @param str 字符串
	 * @param that 比较的字符串
	 * @return boolean
	 */
	equals: function(str, that) 
	/**
	 * 比较两个字符串（大小写不敏感）
	 *
	 * @param str 字符串
	 * @param that 比较的字符串
	 * @return boolean
	 */
	equalsIgnoreCase: function(str, that) 
	/**
	 * 将字符串按指定字符分割
	 *
	 * @param str 字符串
	 * @param sep 比较的字符串
	 * @param maxLen 最大长度
	 * @return 分割后的数组
	 */
	split: function(str, sep, maxLen)
	/**
	 * 字符串格式化(%s )
	 *
	 * @param str 字符串
	 * @return 格式化后的字符串
	 */
	sprintf: function(str) 
	/**
	 * 判断字符串是否是以start开头
	 *
	 * @param str 字符串
	 * @param start 开始的字符串
	 * @return boolean
	 */
	startWith: function(str, start)
	/**
	 * 判断字符串是否是以end结尾
	 *
	 * @param str 字符串
	 * @param end 结尾的字符串
	 * @return boolean
	 */
	endWith: function(str, end)
```