

var dateUtil = {
	now: function(fmt) {
		return dateUtil.dateFormat(fmt, new Date())
	},
	/**
	 * @param {Object} fmt 时间格式字符串
	 * @param {Object} date Date对象
	 */
	dateFormat: function(fmt, date) {
		let ret;
		let opt = {
			"Y+": date.getFullYear().toString(), // 年
			"m+": (date.getMonth() + 1).toString(), // 月
			"d+": date.getDate().toString(), // 日
			"H+": date.getHours().toString(), // 时
			"M+": date.getMinutes().toString(), // 分
			"S+": date.getSeconds().toString() // 秒
			// 有其他格式化字符需求可以继续添加，必须转化成字符串
		};
		for (let k in opt) {
			ret = new RegExp("(" + k + ")").exec(fmt);
			if (ret) {
				fmt = fmt.replace(ret[1], (ret[1].length == 1) ? (opt[k]) : (opt[k].padStart(ret[1].length, "0")))
			};
		};
		return fmt;
	},
	dateFormatStr: function(fmt, dateStr) {
		if (dateStr != null) {
			var date = new Date(dateStr);
			return dateUtil.dateFormat(fmt, date)
		} else {
			return ''
		}
	}
}

export {
	dateUtil
}
